Bug 815762 (CVE-2012-2414)

Summary: CVE-2012-2414 asterisk: Asterisk Manager Interface unauthorized shell access (AST-2012-004)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar, jeff, lmadsen, rbryant
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120423,reported=20120423,source=oss-security,cvss2=6.0/AV:N/AC:M/Au:S/C:P/I:P/A:P,fedora-all/asterisk=affected,epel-6/asterisk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 815777, 815778    
Bug Blocks:    

Description Jan Lieskovsky 2012-04-24 09:15:44 EDT
A permission escalation flaw was found in the way Asterisk, an open-source telephony toolkit, performed user permission checks (only Asterisk System class user should be able to run shell commands if that user had System class authorization). Due to a bug, an Asterisk manager interface user could bypass the security check and execute shell commands by using the MixMonitor application with the originate action or by using the GetVar or Status manager actions in the combination with SHELL and EVAL functions.

Upstream advisory:
http://downloads.asterisk.org/pub/security/AST-2012-004.html

Upstream patch (against the v1.8 branch):
http://downloads.asterisk.org/pub/security/AST-2012-004-1.8.diff

Upstream ticket:
https://issues.asterisk.org/jira/browse/ASTERISK-17465

CVE assignment:
http://www.openwall.com/lists/oss-security/2012/04/23/5
Comment 1 Jan Lieskovsky 2012-04-24 09:42:07 EDT
This issue affects the versions of the asterisk package, as shipped with Fedora release of 15 and 16. Please schedule an update.

--

This issue affects the version of the asterisk package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-04-24 09:44:48 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 815777]
Affects: epel-6 [bug 815778]
Comment 3 Fedora Update System 2012-05-03 18:53:21 EDT
asterisk-1.8.11.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-05-04 16:29:25 EDT
asterisk-1.8.11.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-04 18:51:39 EDT
asterisk-10.3.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-11 18:02:29 EDT
asterisk-1.8.11.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.